org.apache.poi.ss.formula.ptg

## Class FuncVarPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperationPtg
    - - org.apache.poi.ss.formula.ptg.AbstractFunctionPtg
      - - org.apache.poi.ss.formula.ptg.FuncVarPtg

- All Implemented Interfaces:
    Duplicatable

      public final class FuncVarPtg
      extends AbstractFunctionPtg

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `sid`
    `static OperationPtg` | `SUM` Single instance of this token for 'sum() taking a single argument'

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.AbstractFunctionPtg

      `FUNCTION_NAME_IF`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FuncVarPtg` | `copy()`
    `static FuncVarPtg` | `create(LittleEndianInput in)` Creates new function pointer from a byte array usually called while reading an excel file.
    `static FuncVarPtg` | `create(java.lang.String pName, int numArgs)` Create a function ptg from a string tokenised by the parser
    `int` | `getSize()`
    `protected java.lang.String` | `lookupName(short index)`
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.AbstractFunctionPtg

      `getDefaultOperandClass, getFunctionIndex, getName, getNumberOfOperands, getParameterClass, isBaseToken, isBuiltInFunctionName, isExternalFunction, lookupIndex, lookupName, toFormulaString, toFormulaString, toString`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final byte sid

      See Also:
        Constant Field Values

    - #### SUM

          public static final OperationPtg SUM

      Single instance of this token for 'sum() taking a single argument'

  - ### Method Detail

    - #### create

          public static FuncVarPtg create(LittleEndianInput in)

      Creates new function pointer from a byte array usually called while reading an excel file.

    - #### create

          public static FuncVarPtg create(java.lang.String pName,
                                          int numArgs)

      Create a function ptg from a string tokenised by the parser

    - #### lookupName

          protected java.lang.String lookupName(short index)

      Overrides:
        `lookupName` in class `AbstractFunctionPtg`

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `AbstractFunctionPtg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### copy

          public FuncVarPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.